Subject: Re: net: nfc: BUG and panic in accept() on 3.5-rc2

From: Samuel Ortiz <[email-masked]>
Date: Mon, 11 Jun 2012 21:49:46 +0200

Hi Dave,

On Mon, Jun 11, 2012 at 01:25:45PM -0400, Dave Jones wrote:
> On Mon, Jun 11, 2012 at 06:56:50PM +0200, Sasha Levin wrote:
> 
>  > > > > > > What's trinity ?
>  > > > > > > Also, if this one is reproducible, would you mind sharing some details about
>  > > > > > > how we could reproduce it ?
>  > > > > > 
>  > > > > > Well, bugfix should be trivial enough ;)
>  > > > > Yep, I looked at the code only after looking at Sasha's report.
>  > > > > 
>  > > > > Thanks for the patch, do you mind if I add your SOB to it ?
>  > > > 
>  > > > I  would prefer making sure it fixes the bug first ;)
>  > > Sure, although your patch makes sense regardless of that :)
>  > > I'll still wait for Sasha to confirm that it fixes his crash.
>  > 
>  > I don't have a direct way of reproducing it, but I've put it in the test
>  > vm and the fuzzer is running, I'll let you know tomorrow if it happened
>  > again.
> 
> You might be able to trigger it faster by using -P PF_NFC, which will 
> force trinity to only use NFC sockets.
> 
> sidenote: most protocols trigger the module to be auto-loaded when a socket
> is created. This doesn't seem to happen with nfc, making me need to manually
> modprobe it first. Intentional ?
No, I'm missing the MODULE_ALIAS_NETPROTO() call for NFC. Thanks for the
report.

Cheers,
Samuel.

-- 
Intel Open Source Technology Centre
http://oss.intel.com/